curl --request GET \
--url https://api.hubapi.com/notetaker/2026-09/conversation/recap/{objectTypeId}/{objectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/notetaker/2026-09/conversation/recap/{objectTypeId}/{objectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/notetaker/2026-09/conversation/recap/{objectTypeId}/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionItems": {
"items": [
{
"title": "<string>",
"assignee": "<string>"
}
],
"status": "FAILED",
"errorMessage": "<string>"
},
"callStats": {
"hasTranscript": true,
"status": "FAILED",
"durationMs": 123,
"errorMessage": "<string>",
"ownerTalkTimePercentage": 123
},
"notes": {
"status": "FAILED",
"errorMessage": "<string>",
"notes": "<string>"
},
"participants": {
"participants": [
{
"isHost": true,
"name": "<string>",
"email": "<string>",
"phoneNumber": "<string>"
}
],
"status": "FAILED",
"errorMessage": "<string>"
},
"questionsAsked": {
"questionsAndAnswers": [
{
"question": {
"speakerName": "<string>",
"text": "<string>",
"timestampSeconds": 123
},
"answer": {
"speakerName": "<string>",
"text": "<string>",
"timestampSeconds": 123
}
}
],
"status": "FAILED",
"errorMessage": "<string>"
},
"recordingUrl": {
"status": "FAILED",
"errorMessage": "<string>",
"recordingUrl": "<string>"
},
"summary": {
"status": "FAILED",
"errorMessage": "<string>",
"value": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve conversation recap data
Retrieve a recap of a conversation based on the specified object type and object ID. This endpoint provides a variety of insights related to the conversation, including summary, action items, questions asked, call stats, participants, and recording URL.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object for which the conversation recap is being retrieved. This is a required integer parameter.
The type of the object for which the conversation recap is being retrieved. This is a required string parameter.
Response
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?